Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122246

Summary: Review Request: nodejs-tryor - Return fn() or default value (in case of exception)
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 18:50:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1122219    

Description Ralph Bean 2014-07-22 19:06:49 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-tryor.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-tryor-0.1.2-1.fc20.src.rpm

Description:
Evalulate a function and return the value, or, in the case of an exception,
return a default value.

Comment 1 Parag AN(पराग) 2014-07-23 14:05:17 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-tryor.noarch: W: spelling-error Summary(en_US) fn -> f, n, fen
nodejs-tryor.noarch: W: spelling-error %description -l en_US Evalulate -> Evaluate, Ululate, Valuate
nodejs-tryor.noarch: W: only-non-binary-in-usr-lib
nodejs-tryor.src: W: spelling-error Summary(en_US) fn -> f, n, fen
nodejs-tryor.src: W: spelling-error %description -l en_US Evalulate -> Evaluate, Ululate, Valuate
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :4addfe9b039962ef36a2f06f2b810252e94d9a264c7ecbcaba27edaa5cc09b46
upstream tarball :4addfe9b039962ef36a2f06f2b810252e94d9a264c7ecbcaba27edaa5cc09b46

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:35:59 UTC
New Package SCM Request
=======================
Package Name: nodejs-tryor
Short Description: Return fn() or default value (in case of exception)
Upstream URL: https://npmjs.org/package/tryor
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:50:04 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 18:47:19 UTC
nodejs-tryor-0.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-tryor-0.1.2-1.fc20

Comment 5 Fedora Update System 2014-07-23 18:47:31 UTC
nodejs-tryor-0.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-tryor-0.1.2-1.fc19

Comment 6 Ralph Bean 2014-07-23 18:50:16 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:39:19 UTC
nodejs-tryor-0.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:47:39 UTC
nodejs-tryor-0.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.